<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <link rel="icon" href="%PUBLIC_URL%/favicon.ico" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta name="theme-color" content="#000000" />
        <title>React App</title>
    </head>
    <body>
        <noscript>You need to enable JavaScript to run this app.</noscript>
        <div id="root"></div>

        <!--region pyscript demo -->

        <!-- the :query_input UI - PLEASE MIND the py-click event and the element id below - they be used in onclick_query() in main.py -->
        <input type="text" id="query_input" >
        <button id="query_btn" py-click="onclick_query()">query</button>
        <br>
        result <span id="result" style="font-weight: bold"></span>

        <!-- py code to process bizlogic with above :query_input -->
        <script defer src="%PUBLIC_URL%/pyscript_asset/pyscript.js"></script>
        <py-config style="display: none">
            [[fetch]]
            files = [
                "./some_py_pkg/util.py",
                "./some_py_pkg/some_module.py",
                "./some_py_pkg/main.py",
            ]
        </py-config>
        <py-script src="./some_py_pkg/main.py"></py-script>
        <!--endregion pyscript demo -->

    </body>
</html>
